Description

The current mechanism for describing coupled lines (lines in sufficiently close proximity to each other to induce mutual impedances)
does not support unbalanced modeling.

Proposed Solution

A physical modeling approach (leveraging WireAssembly and related classes) will allow accurate unbalanced mutual modeling to be
done with the results stored in a phase impedance matrix described by the PerLengthPhaselmpedance class. Balanced modeling of
mutual impedances can be derived from the phase impedance matrix.

To implement this approach, modeling needs to allow the identification of a group of line segments that are coupled. Two new
classes are proposed that support such grouping: CoupledLineSegmentGroup and LineSegmentCoupling.

Decision

09/22/2022- WG approves and updates to the 301 are required. Recommend Tom McDermott, Kurt Hunter as reviewers.

13 June 2023, Oslo - Apply UML changes

Release Notes

Wires package updated with

Add class LineSegmentCoupling, a child of IdentifiedObject

with attributes

.coupledLineNumber

.reverseFlow

xOffset

Add class CoupledLineSegmentGroup, a child of IdentifiedObject
with no attributes

Add association LineSegmentCoupling.ACLineSegment

Add association LineSegmentCoupling.CoupledLineSegmentGroup

These changes are also applied in 452 SC profile where the following attributes are set to required
.coupledLineNumber
.reverseFlow

XOffset

MutualCoupling class is set to deprecated in wires package and in 452 SC profile.

04/08/2024 12




History

#1 - 01/30/2022 04:15 AM - Pat Brown

- Breaking Change Description changed from but at some point in the future, the MutualCoupling class should be considered for deprecation to but at
some point in the future, the MutualCoupling class could be considered for deprecation

#2 - 09/22/2022 01:46 PM - Eric Stephan

- Status changed from New to Open

#3 - 09/22/2022 01:54 PM - Eric Stephan
- Status changed from Open to In Progress
- Release Notes updated

- Originally Assigned To set to Yang Feng

The following was originally in the release notes section. Posted here to capture original notes.

Add class LineSegmentCoupling, a child of IdentifiedObject, with attributes

.coupledLineNumber
.reverseFlow
xOffset

Add class CoupledLineSegmentGroup, a child of IdentifiedObject, with no attributes
Add association LineSegmentCoupling.ACLineSegment
Add association LineSegmentCoupling.CoupledLineSegmentGroup

See attached 2022-01-30 Device Datasheet ACLineSegment coupling UML proposal.docx for details on class, attribute and association descriptions.

#4 - 09/22/2022 02:06 PM - Eric Stephan
- Proposed Solution updated

- Decision updated

#5 - 06/13/2023 09:12 AM - Chavdar Ivanov

- Decision updated

#6 - 06/14/2023 09:49 AM - Chavdar Ivanov

- Status changed from In Progress to Review

#7 - 10/08/2023 01:28 AM - Chavdar Ivanov

- Status changed from Review to Closed

- Solution to be Applied To changed from iec61970cim18v01_iec61968cim14v00_iec62325cim04v08_CIM101.0 to CIM18v07
- Solution Version set to CIM18v07

- Solution Applied By changed from Pat Brown to Chavdar Ivanov

- Completion Date set to 10/08/2023

- Release Notes updated

#8 - 10/20/2023 09:43 AM - Todd Viegut
- Solution to be Applied To changed from CIM18v07 to 18v07

#9 - 10/20/2023 09:56 AM - Todd Viegut
- Solution to be Applied To changed from 18v07 to CIM18v07

Files

2022-01-30 Device Datasheet ACLineSegment coupling UML proposal.ti@kB 01/30/2022 Pat Brown
